Subject: Re: [PATCH] Driver for FECs on motorola DUET (87x/88x)

From: Tom Rini <[email-masked]>
Date: Fri, 14 May 2004 08:32:32 -0700

On Fri, May 14, 2004 at 05:23:20PM +0200, Joakim Tjernlund wrote:

> > From: Pantelis Antoniou [mailto:[email-masked]]
> >
> > Progress report.
> >
> > Got it to move even further.
>
> Great!
>
> >
> > No longer crashes but it seems stuck in something related
> > to the serial console.
>
> If you are going to mess with the 8xx_io/uart.c, you might
> want to port this from 2.4:
> http://ppc.bkbits.net:8080/linuxppc-2.4/diffs/arch/ppc/8xx_io/[email-masked]?nav=index.html|src/.|src/arch|src/arch/ppc|src/arch/pp
> c/8xx_io|hist/arch/ppc/8xx_io/uart.c

I'd prefer asking Kumar Gala for the re-written serial driver he did for
cpm2, and either copying that and making it work for cpm1 (8xx) or
adding cpm1 support cleanly into it.  I can provide an older, but
working on some variant of 2.4, serial driver vs the drivers/serial
infrastructure as well, if needed (I didn't write it, fwiw).

--
Tom Rini
http://gate.crashing.org/~trini/

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/